HomeGuidesAPI Reference
API Reference

Update Merchant

Update exist Merchant, ACCESS LEVEL: SUPER_ADMIN, PARTNER, MERCHANT

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Update an existing merchant.


Endpoint

PUT https://demo-api.edfapay.com/api/v1/merchant


Request Body

FieldTypeRequiredDescription
idUUIDYesMerchant ID
nameStringNoName
nameARStringNoArabic name
emailAddressStringNoEmail
registeredMobileNumberStringNoPhone
businessCategoryIdUUIDNoCategory
countryStringNoCountry
cityStringNoCity
currencyCodeStringNoCurrency
activeBooleanNoStatus

Response Body

FieldTypeDescription
codeIntegerStatus
messageStringMessage
data.idUUIDMerchant ID
data.nameStringName
data.emailAddressStringEmail
data.activeBooleanStatus

Response Example

{
  "code": 200,
  "message": "Success",
  "data": {
    "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "name": "Updated Merchant",
    "emailAddress": "[email protected]",
    "active": true
  }
}
Body Params
uuid
string
string
string
string
uuid
string
string
boolean
string
string
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Choose an example:
*/*